<template>
 <section id="postazioni" class="container">
  <table>
   <thead>
    <tr>
     <th>
      Username
     </th>
     <th>
      Ultimo accesso
     </th>
      <th>
      Bannato
     </th>
     <th>
     </th>
      <th>
     </th>
    </tr>
   </thead>
   <tbody>
    <tr v-for="p in server.postazioni_private">
     <td>
      {{ p.username }}
     </td>
     <td>
      {{ p.ultimo_accesso }}
     </td>
     <td>
      <i class="fa fa-check" aria-hidden="true" v-if="p.is_bannato == 1"></i>
     </td>
     <td>
      <a href="#" v-if="p.is_bannato == 0">
      <i class="fa fa-ban" aria-hidden="true" @click="SERVER_aggiorna_postazione_private([p.id, 1])">
      </i>
      </a>
      <a href="#" v-else>
      <i class="fa fa-unlock-alt" aria-hidden="true" @click="SERVER_aggiorna_postazione_private([p.id, 0])">
      </i>
      </a>
    </td>
    <td>
    <a href="#">
    <i class="fa fa-trash" aria-hidden="true" @click="SERVER_cancella_postazione_private(p.id)"></i>
    </a>
    </td>
   </tr>
  </tbody>
 </table>
</section>
</template>
<script src="./accessi_sito.js"></script>
